Page MenuHomePhabricator

[BUG] The tutorial in the Android Wikipedia app has sliding in the wrong direction in RTL devices
Closed, ResolvedPublic

Description

Steps to reproduce

  1. Set the device language to an RTL language, for example Hebrew.
  2. Clear the app data, in order to see the tutorial.
  3. Open the app.
Expected

App onboarding screens respects RTL language

Actual

The dots at the bottom and the arrow are in a direction that is opposite from the expected sliding direction.


Event Timeline

Amire80 created this task.Mar 30 2018, 8:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Amire80 updated the task description. (Show Details)Mar 30 2018, 8:37 AM
Amire80 moved this task from Untriaged to RTL on the I18n board.Apr 2 2018, 11:56 AM
Charlotte renamed this task from The tutorial in the Android Wikipedia app has sliding in the wrong direction in RTL devices to [BUG] The tutorial in the Android Wikipedia app has sliding in the wrong direction in RTL devices.May 1 2018, 4:59 PM
Charlotte triaged this task as Low priority.

Change 431778 had a related patch set uploaded (by Dbrant; owner: Dbrant):
[apps/android/wikipedia@master] Make ViewPagers aware of RTL.

https://gerrit.wikimedia.org/r/431778

Change 431778 merged by jenkins-bot:
[apps/android/wikipedia@master] Make ViewPagers aware of RTL.

https://gerrit.wikimedia.org/r/431778

RHo updated the task description. (Show Details)May 14 2018, 1:49 PM
RHo added a subscriber: RHo.

LGTM on Pixel 2 (8.1), Wikipedia v2.7.232-alpha-2018-05-10. Moved to QA for further testing

Dbrant closed this task as Resolved.Jun 27 2018, 8:05 PM